Cyberduck Mountain Duck CLI

#10808 closed feature (fixed)

Support for Joyent Manta removed

Reported by: goekesmi Owned by: dkocher
Priority: normal Milestone: 7.3.0
Component: triton Version: 7.1
Severity: normal Keywords:
Cc: Architecture:
Platform:

Description (last modified by dkocher)

It appears that support for Joyent's Manta back end service was removed from version 7.1.0 (31395).

After upgrading, my manta connection profile disappeared, and I was unable to configure a new one.

I didn't find a comment about this in the change notes, but I did discover this change: r47367

That appears to remove Manta support. I was using the Manta backend rather extensively with my local deployment.

Can Manta support be restored?

Attachments (1)

joyent_rsa.pub (404 bytes) - added by dkocher on Oct 8, 2019 at 8:46:07 AM.

Download all attachments as: .zip

Change History (14)

comment:1 Changed on Sep 19, 2019 at 7:35:56 AM by dkocher

  • Description modified (diff)

In r47366 and r47367

comment:2 Changed on Sep 19, 2019 at 7:47:56 AM by dkocher

I can confirm support was removed because Joyent announced Joyent Public Cloud is end of life.

comment:3 Changed on Sep 19, 2019 at 12:13:07 PM by goekesmi

The Joyent Public Cloud's end of life does not impact anybody operating a Manta based on the open source software they continue to make available and update. I'm using Cyberduck with my own Manta deployment.

Is the issue that there isn't a Manta to test against? If so I offer two options: 1) Run Manta in a development configuration using Joyent's COAL deployment of Triton and Manta. 2) I can provide a Manta end point to test against.

Thanks.

comment:4 Changed on Sep 20, 2019 at 9:21:33 AM by dkocher

  • Milestone set to 7.1.1
  • Owner set to dkocher
  • Status changed from new to assigned

comment:5 Changed on Sep 20, 2019 at 9:22:20 AM by dkocher

Let us know the endpoints we can use to run the integration tests and we can revert support.

comment:6 follow-up: Changed on Sep 20, 2019 at 1:42:19 PM by goekesmi

The api endpoints are:

CloudAPI at: https://cloudapi.matrix.msu.edu

Manta at : https://manta.matrix.msu.edu

Please provide an ssh public key and a preferred username. Further coordination is possible via email if that's desired.

Thanks.

comment:7 in reply to: ↑ 6 Changed on Oct 8, 2019 at 8:45:56 AM by dkocher

Replying to goekesmi:

The api endpoints are:

CloudAPI at: https://cloudapi.matrix.msu.edu

Manta at : https://manta.matrix.msu.edu

Please provide an ssh public key and a preferred username. Further coordination is possible via email if that's desired.

Thanks.

The preferred username would be cyberduck. The SSH public key joyent_rsa.pub is attached.

Changed on Oct 8, 2019 at 8:46:07 AM by dkocher

comment:8 Changed on Oct 8, 2019 at 8:46:39 AM by dkocher

  • Milestone changed from 7.1.1 to 8.0

comment:9 Changed on Oct 8, 2019 at 9:10:27 AM by dkocher

  • Type changed from defect to feature

comment:10 Changed on Oct 23, 2019 at 3:18:38 PM by goekesmi

Apologies for the delay, as the ticket update got missed.

Account created, key in place.

comment:12 Changed on Feb 27, 2020 at 11:40:27 AM by dkocher

  • Resolution set to fixed
  • Status changed from assigned to closed

comment:13 Changed on Mar 22, 2020 at 1:19:35 PM by dkocher

  • Milestone changed from 8.0 to 7.3.0
Note: See TracTickets for help on using tickets.
swiss made software